## GtkPlotDT

GtkPlotDT

## Synopsis

    #include <gtkextra.h>

                        GtkPlotDTnode;
                        GtkPlotDTsegment;
                        GtkPlotDTtriangle;
    gint                (*GtkPlotDTprogressbarFunc)         (double progress);
    GtkObject*          gtk_plot_dt_new                     (gint num);
    void                gtk_plot_dt_set_quadrilateral       (GtkPlotDT *data,
                                                             gboolean set);
    void                gtk_plot_dt_set_subsampling         (GtkPlotDT *data,
                                                             gboolean set);
    gboolean            gtk_plot_dt_add_node                (GtkPlotDT *data,
                                                             GtkPlotDTnode node);
    GtkPlotDTnode *     gtk_plot_dt_get_node                (GtkPlotDT *data,
                                                             gint idx);
    gboolean            gtk_plot_dt_triangulate             (GtkPlotDT *data);
    void                gtk_plot_dt_clear                   (GtkPlotDT *data);

## Description

## Details

### GtkPlotDTnode

    typedef struct {
      gdouble x, y, z;    /* actual coordinates */
      gdouble px, py, pz;	/* pixel coordinates */
      gint id;            /* some kind of 'meta-data' for external use */
      gint a,b,c,d;       /* neighbour node indices in quadrilateral mode */
      gint boundary_marker;
    } GtkPlotDTnode;

### GtkPlotDTsegment

    typedef struct _GtkPlotDTsegment GtkPlotDTsegment;

### GtkPlotDTtriangle

    typedef struct {
      gint a, b, c;
      GtkPlotDTnode *na, *nb, *nc;
      double radius;         /* radius-square */
      GtkPlotDTnode ccenter; /* center of circle */
      double area;           /* twice the triangle's area */
      GtkPlotDTnode min,max; /* the bounding box */
      GtkPlotDTtriangle *nn[3]; /* neighbours */
      gboolean visited;	 /* auxiliary variable for sweeping though list */
    } GtkPlotDTtriangle;

### GtkPlotDTprogressbarFunc ()

    gint                (*GtkPlotDTprogressbarFunc)         (double progress);

`progress` : |
Returns : |

### gtk_plot_dt_new ()

    GtkObject*          gtk_plot_dt_new                     (gint num);

`num` : |
Returns : |

### gtk_plot_dt_set_quadrilateral ()

    void                gtk_plot_dt_set_quadrilateral       (GtkPlotDT *data,
                                                             gboolean set);

`data` : |
`set` : |

### gtk_plot_dt_set_subsampling ()

    void                gtk_plot_dt_set_subsampling         (GtkPlotDT *data,
                                                             gboolean set);

`data` : |
`set` : |

### gtk_plot_dt_add_node ()

    gboolean            gtk_plot_dt_add_node                (GtkPlotDT *data,
                                                             GtkPlotDTnode node);

`data` : |
`node` : |
Returns : |

### gtk_plot_dt_get_node ()

    GtkPlotDTnode *     gtk_plot_dt_get_node                (GtkPlotDT *data,
                                                             gint idx);

`data` : |
`idx` : |
Returns : |

### gtk_plot_dt_triangulate ()

    gboolean            gtk_plot_dt_triangulate             (GtkPlotDT *data);

`data` : |
Returns : |

### gtk_plot_dt_clear ()

    void                gtk_plot_dt_clear                   (GtkPlotDT *data);

`data` : |